Subject: bug#23902: closed (Re: bug#23902: 25.1.50; Strange warning on string-collate-equalp's docstring)

From: [email-masked] (GNU bug Tracking System)
Date: Fri, 08 Jul 2016 10:12:02 +0000

Your bug report

#23902: 25.1.50; Strange warning on string-collate-equalp's docstring

which was filed against the emacs package, has been closed.

The explanation is attached below, along with your original report.
If you require more details, please reply to [email-masked].

-- 
23902: http://debbugs.gnu.org/cgi/bugreport.cgi?bug=23902
GNU Bug Tracking System
Contact [email-masked] with problems

Subject: Re: bug#23902: 25.1.50; Strange warning on string-collate-equalp's docstring
From: Eli Zaretskii <[email-masked]>
To: Michael Heerdegen <[email-masked]>
Cc: [email-masked], [email-masked]
Date: Fri, 08 Jul 2016 13:11:20 +0300
List-Id: <debbugs-submit.debbugs.gnu.org>

> From: Michael Heerdegen <[email-masked]>
> Cc: [email-masked],  [email-masked]
> Date: Thu, 07 Jul 2016 23:52:30 +0200
> 
> Eli Zaretskii <[email-masked]> writes:
> 
> > Yes, documentation changes are okay on emacs-25.
> 
> Oh, I see now this function is defined in C.  I'm not sure what I
> exactly have to do (the docstring is in a comment?).

Yes, doc strings in C are comments.  They are collected by
make-docfile and written to etc/DOC at build time.

> Maybe you can make the change this time, Eli?

I did, but you shouldn't be scared like that of making such trivial
changes in the C sources.  There are lots of examples in the *.c files
that you could use to see the simple formatting we use.  The results
are easy to check: just build Emacs and type "C-h f".  And of course,
you can ask questions if you feel uncertain of something.

Thanks.

Subject: 25.1.50; Strange warning on string-collate-equalp's docstring
From: [email-masked] (Óscar Fuentes)
To: [email-masked]
Date: Wed, 06 Jul 2016 00:05:57 +0200
List-Id: <debbugs-submit.debbugs.gnu.org>

The mentioned docstring ends with

     Do _not_ use this function to compare file names for equality, only
     for sorting them.

which makes no sense to me. First of all, what's so special about file
names to mention them here? And then, how one is supposed to use an
equality predicate for sorting? (We have string-collate-lessp for that)

In GNU Emacs 25.1.50.1 (x86_64-pc-linux-gnu, X toolkit)
 of 2016-06-29 built on qcore
Repository revision: 652b638b0f80fda2abc316f3d1b0f005c7d28e1a
Windowing system distributor 'The X.Org Foundation', version 11.0.11803000
System Description:	Ubuntu 16.04 LTS